Get specified ref or filtered repository's refs
GET
/repos/{owner}/{repo}/git/refs
const url = 'https://gitea.example.com/api/v1/repos/example/example/git/refs';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/git/refs \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Responses
Section titled “Responses”ReferenceList
Media typeapplication/json
Array<object>
Reference represents a Git reference.object
object
GitObject represents a Git object.
object
sha
string
type
string
url
string
ref
string
url
string
Examplegenerated
[ { "object": { "sha": "example", "type": "example", "url": "example" }, "ref": "example", "url": "example" }]APINotFound is a not found empty response
Media typeapplication/json